Consultar cliente
curl --request GET \
--url https://backoffice-hml.idcerberus.com/api/customer \
--header 'Authorization: Bearer <token>'import requests
url = "https://backoffice-hml.idcerberus.com/api/customer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backoffice-hml.idcerberus.com/api/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backoffice-hml.idcerberus.com/api/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backoffice-hml.idcerberus.com/api/customer"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backoffice-hml.idcerberus.com/api/customer")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backoffice-hml.idcerberus.com/api/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"tokenCustomer": "00000000-0000-0000-0000-000000000000",
"type": "PF",
"documentKey": "00000000-0000-0000-0000-000000000000",
"name": "NOME DO CLIENTE",
"addInformation": "Cliente cadastrado via integração",
"active": false,
"imageUrl": "https://exemplo.com/imagem-cliente.jpg"
}
]{
"status": {
"code": 400,
"message": "Failed to fetch information"
}
}{
"status": {
"code": 401,
"message": "Unauthorized"
}
}{
"status": {
"code": 403,
"message": "Forbidden"
}
}Customers
Consultar cliente
Consulta clientes cadastrados a partir de CPF ou CNPJ informado em
documentKey.
Use este endpoint para verificar se um cliente já existe, recuperar seu
tokenCustomer e consultar o status atual de ativação.
GET
/
api
/
customer
Consultar cliente
curl --request GET \
--url https://backoffice-hml.idcerberus.com/api/customer \
--header 'Authorization: Bearer <token>'import requests
url = "https://backoffice-hml.idcerberus.com/api/customer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backoffice-hml.idcerberus.com/api/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backoffice-hml.idcerberus.com/api/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backoffice-hml.idcerberus.com/api/customer"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backoffice-hml.idcerberus.com/api/customer")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backoffice-hml.idcerberus.com/api/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"tokenCustomer": "00000000-0000-0000-0000-000000000000",
"type": "PF",
"documentKey": "00000000-0000-0000-0000-000000000000",
"name": "NOME DO CLIENTE",
"addInformation": "Cliente cadastrado via integração",
"active": false,
"imageUrl": "https://exemplo.com/imagem-cliente.jpg"
}
]{
"status": {
"code": 400,
"message": "Failed to fetch information"
}
}{
"status": {
"code": 401,
"message": "Unauthorized"
}
}{
"status": {
"code": 403,
"message": "Forbidden"
}
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de consulta
CPF ou CNPJ do cliente.
Resposta
Cliente encontrado.
Token identificador do cliente.
Tipo do cliente, quando disponível.
CPF ou CNPJ usado como chave do cliente.
Nome do cliente, quando disponível.
Informação adicional vinculada ao cliente.
Indica se o cliente está ativo.
URL de imagem vinculada ao cliente, quando disponível.
